package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.livechatinc.com/v3.6/configuration/action/update_canned_response"
payload := strings.NewReader("{\n \"id\": 12345,\n \"text\": \"Thank you for contacting us! How may I assist you today?\",\n \"tags\": [\n \"greeting\",\n \"support\",\n \"updated\"\n ],\n \"group_id\": 1,\n \"is_private\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.livechatinc.com/v3.6/configuration/action/update_canned_response")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"id\": 12345,\n \"text\": \"Thank you for contacting us! How may I assist you today?\",\n \"tags\": [\n \"greeting\",\n \"support\",\n \"updated\"\n ],\n \"group_id\": 1,\n \"is_private\": true\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.livechatinc.com/v3.6/configuration/action/update_canned_response")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": 12345,\n \"text\": \"Thank you for contacting us! How may I assist you today?\",\n \"tags\": [\n \"greeting\",\n \"support\",\n \"updated\"\n ],\n \"group_id\": 1,\n \"is_private\": true\n}"
response = http.request(request)
puts response.read_body
Required scopes:canned_responses--groups:rw,
Authorizations
PersonalAccessTokenOAuth2BearerToken
Authorization
string
header
required
Use your account ID as the username and your personal access token (PAT) as the password, or pass a Base64-encoded value directly in the Authorization header. For more information, see the personal access tokens guide.
Body
application/json
id
integer
required
The ID of the canned response to update.
text
string
The updated canned response text. The API sanitizes the text and rejects the request as invalid if sanitization removes all content.
tags
string[]
An array of tags that agents type to insert the canned response in a chat. In the Text app, this field is labeled Shortcuts.
group_id
integer
The updated group ID for the canned response.
is_private
boolean
If set to true: makes the canned response private. If set to false: makes it public.
Response
200
Canned response updated successfully.
Was this page helpful?
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"Text Documentation","colors":{"primary":"#131317","light":"#F6F6F7"},"logo":{"light":"https://mintcdn.com/text-56a1eab5/YeUyNnZpquLAcjyj/public/images/text_logo_black.svg?fit=max\u0026auto=format\u0026n=YeUyNnZpquLAcjyj\u0026q=85\u0026s=1d56259972e440ba1f6676fd28c39793","dark":"https://mintcdn.com/text-56a1eab5/YeUyNnZpquLAcjyj/public/images/text_logo_white.svg?fit=max\u0026auto=format\u0026n=YeUyNnZpquLAcjyj\u0026q=85\u0026s=96feaea7dee928883eeed3d0f39435e7"},"favicon":"https://mintcdn.com/text-56a1eab5/YeUyNnZpquLAcjyj/public/images/favicon.svg?fit=max\u0026auto=format\u0026n=YeUyNnZpquLAcjyj\u0026q=85\u0026s=bce902fa5907c7dedd9904b7bd847c85","api":{"params":{"expanded":"closed"},"playground":{"display":"interactive"}},"appearance":{"default":"system"},"background":{"color":{"light":"#FCFCF7","dark":"#000000"}},"navbar":{"links":[{"href":"/sign-in","label":"Sign in"}],"primary":{"type":"button","label":"Create account","href":"https://accounts.livechat.com/signup?landing_page=https%3A%2F%2Fwww.text.com%2F\u0026client_id=fc7bf1555adb6d3d2a441f10fd5b6eb5\u0026redirect_uri=https%3A%2F%2Fwww.text.com%2Fapp\u0026response_type=token\u0026source_type=website\u0026source_id=header-signup\u0026source_url=https%3A%2F%2Fwww.text.com%2F"}},"footer":{"socials":{"x":"https://x.com/text_hq","github":"https://github.com/livechat","linkedin":"https://linkedin.com/company/text","discord":"https://discord.gg/MGFyhbdFxt"},"links":[{"header":"For partners","items":[{"label":"Technology partners","href":"https://www.text.com/partners/technology"},{"label":"Solution partners","href":"https://www.text.com/partners/solution"},{"label":"Affiliate partners","href":"https://www.text.com/partners/affiliate"}]},{"header":"Resources","items":[{"label":"Solutions","href":"https://www.text.com/solutions"},{"label":"Changelog","href":"/api/changelog"},{"label":"API status","href":"https://status.text.com/"},{"label":"llms.txt","href":"/llms.txt"}]},{"header":"Products","items":[{"label":"Text","href":"https://www.text.com/"},{"label":"LiveChat","href":"https://www.livechat.com/"},{"label":"ChatBot","href":"https://www.chatbot.com/"},{"label":"HelpDesk","href":"https://www.helpdesk.com/"},{"label":"OpenWidget","href":"https://openwidget.com/"},{"label":"KnowledgeBase","href":"https://www.knowledgebase.com/"}]}]},"seo":{"metatags":{"canonical":"https://www.text.com/docs","title":"Text Documentation and API Reference | Text","description":"Text API reference and developer guides for building chat integrations, automations, and custom agent tools.","og:image":"/public/images/og-image.png"}},"fonts":{"family":"Inter"},"icons":{"library":"fontawesome"},"errors":{"404":{"redirect":false,"title":"Whoops!","description":"You're not supposed to be here. \u003cbr /> \u003cbr />[Back to homepage ›](/)"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"text-56a1eab5","hasAudioNarration":false,"actualSubdomain":"text-56a1eab5","customDomains":["www.text.com"],"gitSource":{"type":"github","owner":"livechat","repo":"text-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6afad2be988193f87803d16c","clientVersion":"0.0.4177","searchFilterCounts":[{"language":"default","tag":"API reference","count":772},{"language":"default","tag":"Configuration API","count":200},{"language":"default","tag":"Agent Chat API","count":149},{"language":"default","tag":"Customer Chat API","count":137},{"language":"default","tag":"Ticketing API","count":133},{"language":"default","tag":"Chats","count":79},{"language":"default","tag":"Properties","count":72},{"language":"default","tag":"Other","count":56},{"language":"default","tag":"Reports API","count":52},{"language":"default","tag":"Overview","count":47}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":true,"enableContextualStarterQuestions":true,"enableAskAiSearchBar":true},"basePath":"/docs","hasChatPermissions":false,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"src/styles/style.css","href":"/docs/_mintlify/custom/text-56a1eab5/9f29783257acaf6a/src/styles/style.css"}],"page":{"pagePath":"api/configuration/v3.6/canned-responses/update-canned-response","slug":"/api/configuration/v3.6/canned-responses/update-canned-response","pageMetadata":{"title":"Update canned response","description":"Updates a canned response.\n\nThe `text` field is sanitized on update. If sanitization removes all content and the input becomes empty, the system rejects the request as invalid.","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/update_canned_response","href":"/api/configuration/v3.6/canned-responses/update-canned-response","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Updates a canned response.\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"The \", _jsx(_components.code, {\n children: \"text\"\n }), \" field is sanitized on update. If sanitization removes all content and the input becomes empty, the system rejects the request as invalid.\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,strong:`strong`,..._provideComponents(),...props.components},{Tooltip}=_components;if(!Tooltip)_missingMdxReference(`Tooltip`,true);return _jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Required scopes:`}),` `,_jsx(_components.code,{children:`canned_responses--groups:rw`}),`, `,_jsx(Tooltip,{tip:`Required to update canned responses in any group.`,children:_jsx(_components.code,{children:`canned_responses--all:rw`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Update canned response","description":"Updates a canned response.\n\nThe `text` field is sanitized on update. If sanitization removes all content and the input becomes empty, the system rejects the request as invalid.","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/update_canned_response","href":"/api/configuration/v3.6/canned-responses/update-canned-response","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/docs/_mintlify/custom/text-56a1eab5/bffd9b5b767601e4/src/components/NavSectionHeaders.js","/docs/_mintlify/custom/text-56a1eab5/3996ac265b241bf1/src/components/chat-widget.js","/docs/_mintlify/custom/text-56a1eab5/1a2a82bfd0cb7a91/src/components/feedback-position.js","/docs/_mintlify/custom/text-56a1eab5/6f61a299f65aab5d/src/components/openapi-labels.js","/docs/_mintlify/custom/text-56a1eab5/047b1b52dc443005/src/components/changelog-filter.js","/docs/_mintlify/custom/text-56a1eab5/919b339a56a0f422/src/components/oauth-navbar.js","/docs/_mintlify/custom/text-56a1eab5/1f21041be14bfafc/src/components/api-playground-sentence-case.js","/docs/_mintlify/custom/text-56a1eab5/22e2efcc7dc9f1ab/src/components/pat-api-group-manifest.js","/docs/_mintlify/custom/text-56a1eab5/f729515b8b375412/src/components/pat-playground.js","/docs/_mintlify/custom/text-56a1eab5/c57efee19ea8303b/src/components/google-tag-manager.js","/docs/_mintlify/custom/text-56a1eab5/be96966766add01f/src/components/web-analytics.js","/docs/_mintlify/custom/text-56a1eab5/73c5801d39b86b1a/src/components/store-metrics.js"],"openApiReferenceData":{"operation":{"summary":"Update canned response","description":"Updates a canned response.\n\nThe `text` field is sanitized on update. If sanitization removes all content and the input becomes empty, the system rejects the request as invalid.","x-mint":{"content":"**Required scopes:** `canned_responses--groups:rw`, \u003cTooltip tip=\"Required to update canned responses in any group.\">`canned_responses--all:rw`\u003c/Tooltip>"},"operationId":"update-canned-response","tags":["Canned responses"],"requestBody":"1d0ae3eb-c3e2-4aa6-837d-d0dedf3bb5d7","responses":{"200":"c8452a52-388d-4261-9f82-ddc2bb1b3916"},"method":"post","type":"path","servers":["d8839378-aea4-4a3e-88d0-c6a106b074a2"],"security":["05969a04-e6ef-4676-bf19-dba193b8569e","6f8cdc72-f4cb-4a53-b627-6c4d3064d73d"],"path":"/action/update_canned_response","baseUrlOptions":["https://api.livechatinc.com/v3.6/configuration"],"title":"Update canned response","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["id"],"properties":{"id":{"type":"integer","description":"The ID of the canned response to update.","isRequired":true,"uniqueKey":"id","typeLabel":"integer"},"text":{"type":"string","description":"The updated canned response text. The API sanitizes the text and rejects the request as invalid if sanitization removes all content.","uniqueKey":"text","typeLabel":"string"},"tags":{"type":"array","items":{"type":"string","uniqueKey":"tags.items.[INDEX]","typeLabel":"string"},"description":"An array of tags that agents type to insert the canned response in a chat. In the Text app, this field is labeled **Shortcuts**.","uniqueKey":"tags","typeLabel":"string[]"},"group_id":{"type":"integer","description":"The updated group ID for the canned response.","uniqueKey":"group_id","typeLabel":"integer"},"is_private":{"type":"boolean","description":"If set to `true`: makes the canned response private. If set to `false`: makes it public.","uniqueKey":"is_private","typeLabel":"boolean"}},"uniqueKey":"","typeLabel":"object"},"example":{"id":12345,"text":"Thank you for contacting us! How may I assist you today?","tags":["greeting","support","updated"],"group_id":1,"is_private":true},"examples":{"Example":{"title":"Example","value":{"id":12345,"text":"Thank you for contacting us! How may I assist you today?","tags":["greeting","support","updated"],"group_id":1,"is_private":true}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"c8452a52-388d-4261-9f82-ddc2bb1b3916":{"description":"Canned response updated successfully.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"05969a04-e6ef-4676-bf19-dba193b8569e":{"PersonalAccessToken":{"type":"http","scheme":"basic","description":"Use your `account ID` as the username and your personal access token (PAT) as the password, or pass a Base64-encoded value directly in the Authorization header. For more information, see the \u003ca href=\"/authentication/personal-access-tokens\">personal access tokens guide\u003c/a>.","scopes":[],"schemeName":"PersonalAccessToken"}},"6f8cdc72-f4cb-4a53-b627-6c4d3064d73d":{"OAuth2BearerToken":{"type":"http","scheme":"bearer","description":"Authenticate using an OAuth 2.0 Bearer token.","x-example":"us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5","scopes":[],"schemeName":"OAuth2BearerToken"}}},"servers":{"d8839378-aea4-4a3e-88d0-c6a106b074a2":{"url":"https://api.livechatinc.com/v3.6/configuration"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"basic","description":"Use your `account ID` as the username and your personal access token (PAT) as the password, or pass a Base64-encoded value directly in the Authorization header. For more information, see the \u003ca href=\"/authentication/personal-access-tokens\">personal access tokens guide\u003c/a>.","scopes":[],"schemeName":"PersonalAccessToken"},"schema":{"title":"Basic Auth","type":"object","description":"Use your `account ID` as the username and your personal access token (PAT) as the password, or pass a Base64-encoded value directly in the Authorization header. For more information, see the \u003ca href=\"/authentication/personal-access-tokens\">personal access tokens guide\u003c/a>.","isRequired":true,"properties":{"username":{"type":"string","uniqueKey":"username","isRequired":true,"typeLabel":"string","deprecated":false},"password":{"type":"string","uniqueKey":"password","isRequired":true,"typeLabel":"string","deprecated":false}},"additionalProperties":false,"deprecated":false},"schemeName":"PersonalAccessToken","name":"Authorization"}],"title":"PersonalAccessToken"},{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Authenticate using an OAuth 2.0 Bearer token.","x-example":"us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5","scopes":[],"schemeName":"OAuth2BearerToken"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Authenticate using an OAuth 2.0 Bearer token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"OAuth2BearerToken","name":"Authorization"}],"title":"OAuth2BearerToken"}]},"originalFileLocation":"api/configuration/v3.6/openapi.json"},"subdomain":"text-56a1eab5","siteName":"Text Documentation","title":"Update canned response - Text Documentation","contextualStarterQuestions":[],"navMaps":{"firstHrefInVersion":{"v3.7":{"href":"/api/configuration/v3.7/canned-responses/update-canned-response","matchLevel":1},"v3.6":{"href":"/api/configuration/v3.6/canned-responses/update-canned-response","matchLevel":0},"v3.5":{"href":"/api/configuration/v3.5","matchLevel":3},"v5.0":{"href":"/api/chat-widget-js-api","matchLevel":4},"v3.7 ":{"href":"/api/webhooks/v3.7/index","matchLevel":4},"v3.6 ":{"href":"/api/webhooks/v3.6","matchLevel":4},"v3.5 ":{"href":"/api/webhooks/v3.5/index","matchLevel":4}},"firstHrefInLanguage":{}},"lastModified":"2026-11-16T09:54:27.278Z","originalFileLocation":"api/configuration/v3.6/canned-responses/update-canned-response.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Updates a canned response. The text field is sanitized on update. If sanitization removes all content and the input becomes empty, the system rejects the request as invalid.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Text Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/text-56a1eab5/DxfvlVY-f3AGJ5uG/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/text-56a1eab5/DxfvlVY-f3AGJ5uG/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/text-56a1eab5/DxfvlVY-f3AGJ5uG/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/text-56a1eab5/DxfvlVY-f3AGJ5uG/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/text-56a1eab5/DxfvlVY-f3AGJ5uG/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/text-56a1eab5/DxfvlVY-f3AGJ5uG/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/text-56a1eab5/DxfvlVY-f3AGJ5uG/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/text-56a1eab5/DxfvlVY-f3AGJ5uG/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/text-56a1eab5/DxfvlVY-f3AGJ5uG/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update canned response - Text Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Updates a canned response. The text field is sanitized on update. If sanitization removes all content and the input becomes empty, the system rejects the request as invalid.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Text Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://www.text.com/docs/api/configuration/v3.6/canned-responses/update-canned-response\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://text-56a1eab5.mintlify.site/docs/public/images/og-image.png\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update canned response - Text Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Updates a canned response. The text field is sanitized on update. If sanitization removes all content and the input becomes empty, the system rejects the request as invalid.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://text-56a1eab5.mintlify.site/docs/public/images/og-image.png\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/text-56a1eab5/DxfvlVY-f3AGJ5uG/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Text Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#131317\">\u003clink data-mint-head rel=\"canonical\" href=\"https://www.text.com/docs/api/configuration/v3.6/canned-responses/update-canned-response\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api/configuration/v3.6/canned-responses/update-canned-response.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://www.text.com/#organization\",\"name\":\"Text Documentation\",\"url\":\"https://www.text.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/text-56a1eab5/YeUyNnZpquLAcjyj/public/images/text_logo_black.svg?fit=max\u0026auto=format\u0026n=YeUyNnZpquLAcjyj\u0026q=85\u0026s=1d56259972e440ba1f6676fd28c39793\"}},{\"@type\":\"WebSite\",\"@id\":\"https://www.text.com/docs#website\",\"name\":\"Text Documentation\",\"url\":\"https://www.text.com/docs\",\"publisher\":{\"@id\":\"https://www.text.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://www.text.com/docs/api/configuration/v3.6/canned-responses/update-canned-response#webpage\",\"url\":\"https://www.text.com/docs/api/configuration/v3.6/canned-responses/update-canned-response\",\"name\":\"Update canned response\",\"description\":\"Updates a canned response. The text field is sanitized on update. If sanitization removes all content and the input becomes empty, the system rejects the request as invalid.\",\"dateModified\":\"2026-11-16T09:54:27.278Z\",\"isPartOf\":{\"@id\":\"https://www.text.com/docs#website\"},\"breadcrumb\":{\"@id\":\"https://www.text.com/docs/api/configuration/v3.6/canned-responses/update-canned-response#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://www.text.com/docs/api/configuration/v3.6/canned-responses/update-canned-response#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Canned responses\",\"item\":\"https://www.text.com/docs/api/configuration/v3.6/canned-responses/create-canned-response\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Update canned response\",\"item\":\"https://www.text.com/docs/api/configuration/v3.6/canned-responses/update-canned-response\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://www.text.com/docs/api/configuration/v3.6/canned-responses/update-canned-response#apireference\",\"headline\":\"Update canned response\",\"name\":\"Update canned response\",\"description\":\"Updates a canned response. The text field is sanitized on update. If sanitization removes all content and the input becomes empty, the system rejects the request as invalid.\",\"url\":\"https://www.text.com/docs/api/configuration/v3.6/canned-responses/update-canned-response\",\"mainEntityOfPage\":{\"@id\":\"https://www.text.com/docs/api/configuration/v3.6/canned-responses/update-canned-response#webpage\"},\"image\":\"https://www.text.com/public/images/og-image.png\",\"dateModified\":\"2026-11-16T09:54:27.278Z\",\"publisher\":{\"@id\":\"https://www.text.com/#organization\"},\"isPartOf\":{\"@id\":\"https://www.text.com/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Text Documentation\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Text Documentation\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/docs/api/configuration/v3.6/canned-responses/update-canned-response.md","siteName":"Text Documentation","nav":{"global":null,"tabs":[{"tab":"Docs","pages":[{"title":"Docs","href":"/getting-started"}]},{"tab":"Guides","pages":[{"title":"Guides","href":"/guides/reports-api-template"}]},{"tab":"API reference","dropdowns":[{"dropdown":"Agent Chat API","icon":"globe","description":"Web","versions":[{"version":"v3.7","tag":"dev preview","pages":[{"title":"v3.7","href":"/api/agent-chat/v3.7/index"}]},{"version":"v3.6","default":true,"tag":"stable","groups":[{"group":"Overview","icon":"map","pages":[{"title":"Using the Agent Chat API","href":"/api/agent-chat/v3.6"},{"title":"Data structures","href":"/api/agent-chat/v3.6/data-structures"}]},{"group":"Chats","pages":[{"title":"List chats","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/list_chats","href":"/api/agent-chat/v3.6/chats/list-chats"},{"title":"List threads","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/list_threads","href":"/api/agent-chat/v3.6/chats/list-threads"},{"title":"Get chat","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/get_chat","href":"/api/agent-chat/v3.6/chats/get-chat"},{"title":"Get thread transcript","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/get_thread_transcript","href":"/api/agent-chat/v3.6/chats/get-thread-transcript"},{"title":"List archives","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/list_archives","href":"/api/agent-chat/v3.6/chats/list-archives"},{"title":"Start chat","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/start_chat","href":"/api/agent-chat/v3.6/chats/start-chat"},{"title":"Resume chat","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/resume_chat","href":"/api/agent-chat/v3.6/chats/resume-chat"},{"title":"Deactivate chat","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/deactivate_chat","href":"/api/agent-chat/v3.6/chats/deactivate-chat"},{"title":"Follow chat","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/follow_chat","href":"/api/agent-chat/v3.6/chats/follow-chat"},{"title":"Unfollow chat","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/unfollow_chat","href":"/api/agent-chat/v3.6/chats/unfollow-chat"}]},{"group":"Chat access","pages":[{"title":"Transfer chat","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/transfer_chat","href":"/api/agent-chat/v3.6/chat-access/transfer-chat"}]},{"group":"Chat users","pages":[{"title":"Add user to chat","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/add_user_to_chat","href":"/api/agent-chat/v3.6/chat-users/add-user-to-chat"},{"title":"Remove user from chat","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/remove_user_from_chat","href":"/api/agent-chat/v3.6/chat-users/remove-user-from-chat"}]},{"group":"Events","pages":[{"title":"Send event preview","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/send_event_preview","href":"/api/agent-chat/v3.6/events/send-event-preview"},{"title":"Send event","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/send_event","href":"/api/agent-chat/v3.6/events/send-event"},{"title":"Upload file","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/upload_file","href":"/api/agent-chat/v3.6/events/upload-file"},{"title":"Send rich message postback","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/send_rich_message_postback","href":"/api/agent-chat/v3.6/events/send-rich-message-postback"}]},{"group":"Properties","pages":[{"title":"Update chat properties","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/update_chat_properties","href":"/api/agent-chat/v3.6/properties/update-chat-properties"},{"title":"Delete chat properties","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/delete_chat_properties","href":"/api/agent-chat/v3.6/properties/delete-chat-properties"},{"title":"Update thread properties","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/update_thread_properties","href":"/api/agent-chat/v3.6/properties/update-thread-properties"},{"title":"Delete thread properties","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/delete_thread_properties","href":"/api/agent-chat/v3.6/properties/delete-thread-properties"},{"title":"Update event properties","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/update_event_properties","href":"/api/agent-chat/v3.6/properties/update-event-properties"},{"title":"Delete event properties","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/delete_event_properties","href":"/api/agent-chat/v3.6/properties/delete-event-properties"}]},{"group":"Thread tags","pages":[{"title":"Tag thread","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/tag_thread","href":"/api/agent-chat/v3.6/thread-tags/tag-thread"},{"title":"Untag thread","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/untag_thread","href":"/api/agent-chat/v3.6/thread-tags/untag-thread"}]},{"group":"Customers","pages":[{"title":"Get customer","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/get_customer","href":"/api/agent-chat/v3.6/customers/get-customer"},{"title":"Update customer","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/update_customer","href":"/api/agent-chat/v3.6/customers/update-customer"},{"title":"Ban customer","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/ban_customer","href":"/api/agent-chat/v3.6/customers/ban-customer"}]},{"group":"Status","pages":[{"title":"Set routing status","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/set_routing_status","href":"/api/agent-chat/v3.6/status/set-routing-status"},{"title":"List routing statuses","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/list_routing_statuses","href":"/api/agent-chat/v3.6/status/list-routing-statuses"}]},{"group":"Other","pages":[{"title":"Mark events as seen","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/mark_events_as_seen","href":"/api/agent-chat/v3.6/other/mark-events-as-seen"},{"title":"Send thinking indicator","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/send_thinking_indicator","href":"/api/agent-chat/v3.6/other/send-thinking-indicator"},{"title":"Send typing indicator","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/send_typing_indicator","href":"/api/agent-chat/v3.6/other/send-typing-indicator"},{"title":"Multicast","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/multicast","href":"/api/agent-chat/v3.6/other/multicast"},{"title":"List agents for transfer","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/list_agents_for_transfer","href":"/api/agent-chat/v3.6/other/list-agents-for-transfer"},{"title":"Request thread summary","deprecated":null,"version":null,"openapi":"/api/agent-chat/v3.6/openapi.json post /action/request_thread_summary","href":"/api/agent-chat/v3.6/other/request-thread-summary"}]}]},{"version":"v3.5","tag":"legacy","pages":[{"title":"v3.5","href":"/api/agent-chat/v3.5/index"}]}]},{"dropdown":"Agent Chat API","icon":"tower-broadcast","description":"RTM","versions":[{"version":"v3.7","tag":"dev preview","pages":[{"title":"v3.7","href":"/api/agent-chat/v3.7/rtm/index"}]},{"version":"v3.6","default":true,"tag":"stable","pages":[{"group":"Overview","icon":"map","pages":[{"title":"Using the Agent Chat RTM API","href":"/api/agent-chat/v3.6/rtm"},{"title":"Data structures","href":"/api/agent-chat/v3.6/rtm/data-structures"},{"title":"Pushes","href":"/api/agent-chat/v3.6/rtm/pushes"}]},{"group":"Methods","icon":"brackets-curly","pages":[{"title":"Chats","href":"/api/agent-chat/v3.6/rtm/chats"},{"title":"Chat access","href":"/api/agent-chat/v3.6/rtm/chat-access"},{"title":"Chat users","href":"/api/agent-chat/v3.6/rtm/chat-users"},{"title":"Events","href":"/api/agent-chat/v3.6/rtm/events"},{"title":"Properties","href":"/api/agent-chat/v3.6/rtm/properties"},{"title":"Thread tags","href":"/api/agent-chat/v3.6/rtm/thread-tags"},{"title":"Customers","href":"/api/agent-chat/v3.6/rtm/customers"},{"title":"Status","href":"/api/agent-chat/v3.6/rtm/status"},{"title":"Other","href":"/api/agent-chat/v3.6/rtm/other"}]}]},{"version":"v3.5","tag":"legacy","pages":[{"title":"v3.5","href":"/api/agent-chat/v3.5/rtm/index"}]}]},{"dropdown":"Customer Chat API","icon":"message","description":"Web","versions":[{"version":"v3.7","tag":"dev preview","pages":[{"title":"v3.7","href":"/api/customer-chat/v3.7/index"}]},{"version":"v3.6","default":true,"tag":"stable","groups":[{"group":"Overview","icon":"map","pages":[{"title":"Using the Customer Chat API","href":"/api/customer-chat/v3.6"},{"title":"Data structures","href":"/api/customer-chat/v3.6/data-structures"}]},{"group":"Chats","pages":[{"title":"List chats","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/list_chats","href":"/api/customer-chat/v3.6/chats/list-chats"},{"title":"List threads","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/list_threads","href":"/api/customer-chat/v3.6/chats/list-threads"},{"title":"Get chat","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/get_chat","href":"/api/customer-chat/v3.6/chats/get-chat"},{"title":"Start chat","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/start_chat","href":"/api/customer-chat/v3.6/chats/start-chat"},{"title":"Resume chat","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/resume_chat","href":"/api/customer-chat/v3.6/chats/resume-chat"},{"title":"Deactivate chat","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/deactivate_chat","href":"/api/customer-chat/v3.6/chats/deactivate-chat"}]},{"group":"Configuration","pages":[{"title":"Get dynamic configuration","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json get /action/get_dynamic_configuration","href":"/api/customer-chat/v3.6/configuration/get-dynamic-configuration"},{"title":"Get configuration","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json get /action/get_configuration","href":"/api/customer-chat/v3.6/configuration/get-configuration"}]},{"group":"Events","pages":[{"title":"Send event","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/send_event","href":"/api/customer-chat/v3.6/events/send-event"},{"title":"Delete event","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/delete_event","href":"/api/customer-chat/v3.6/events/delete-event"},{"title":"Upload file","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/upload_file","href":"/api/customer-chat/v3.6/events/upload-file"},{"title":"Send rich message postback","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/send_rich_message_postback","href":"/api/customer-chat/v3.6/events/send-rich-message-postback"},{"title":"Send sneak peek","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/send_sneak_peek","href":"/api/customer-chat/v3.6/events/send-sneak-peek"}]},{"group":"Localization","pages":[{"title":"Get localization","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json get /action/get_localization","href":"/api/customer-chat/v3.6/localization/get-localization"}]},{"group":"Properties","pages":[{"title":"Update chat properties","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/update_chat_properties","href":"/api/customer-chat/v3.6/properties/update-chat-properties"},{"title":"Delete chat properties","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/delete_chat_properties","href":"/api/customer-chat/v3.6/properties/delete-chat-properties"},{"title":"Update thread properties","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/update_thread_properties","href":"/api/customer-chat/v3.6/properties/update-thread-properties"},{"title":"Delete thread properties","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/delete_thread_properties","href":"/api/customer-chat/v3.6/properties/delete-thread-properties"},{"title":"Update event properties","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/update_event_properties","href":"/api/customer-chat/v3.6/properties/update-event-properties"},{"title":"Delete event properties","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/delete_event_properties","href":"/api/customer-chat/v3.6/properties/delete-event-properties"},{"title":"List license properties","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json get /action/list_license_properties","href":"/api/customer-chat/v3.6/properties/list-license-properties"},{"title":"List group properties","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json get /action/list_group_properties","href":"/api/customer-chat/v3.6/properties/list-group-properties"}]},{"group":"Customers","pages":[{"title":"Update customer","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/update_customer","href":"/api/customer-chat/v3.6/customers/update-customer"},{"title":"Set customer session fields","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/set_customer_session_fields","href":"/api/customer-chat/v3.6/customers/set-customer-session-fields"},{"title":"Get customer","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/get_customer","href":"/api/customer-chat/v3.6/customers/get-customer"}]},{"group":"Status","pages":[{"title":"List group statuses","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/list_group_statuses","href":"/api/customer-chat/v3.6/status/list-group-statuses"}]},{"group":"Other","pages":[{"title":"Check goals","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/check_goals","href":"/api/customer-chat/v3.6/other/check-goals"},{"title":"Get form","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/get_form","href":"/api/customer-chat/v3.6/other/get-form"},{"title":"Get predicted agent","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/get_predicted_agent","href":"/api/customer-chat/v3.6/other/get-predicted-agent"},{"title":"Get URL info","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/get_url_info","href":"/api/customer-chat/v3.6/other/get-url-info"},{"title":"Mark events as seen","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/mark_events_as_seen","href":"/api/customer-chat/v3.6/other/mark-events-as-seen"},{"title":"Accept greeting","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/accept_greeting","href":"/api/customer-chat/v3.6/other/accept-greeting"},{"title":"Cancel greeting","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/cancel_greeting","href":"/api/customer-chat/v3.6/other/cancel-greeting"},{"title":"Request welcome message","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/request_welcome_message","href":"/api/customer-chat/v3.6/other/request-welcome-message"},{"title":"Send greeting button clicked","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/send_greeting_button_clicked","href":"/api/customer-chat/v3.6/other/send-greeting-button-clicked"},{"title":"Request email verification","deprecated":null,"version":null,"openapi":"/api/customer-chat/v3.6/openapi.json post /action/request_email_verification","href":"/api/customer-chat/v3.6/other/request-email-verification"}]}]},{"version":"v3.5","tag":"legacy","pages":[{"title":"v3.5","href":"/api/customer-chat/v3.5/index"}]}]},{"dropdown":"Customer Chat API","icon":"comment","description":"RTM","versions":[{"version":"v3.7","tag":"dev preview","pages":[{"title":"v3.7","href":"/api/customer-chat/v3.7/rtm/index"}]},{"version":"v3.6","default":true,"tag":"stable","pages":[{"group":"Overview","icon":"map","pages":[{"title":"Using the Customer Chat RTM API","href":"/api/customer-chat/v3.6/rtm"},{"title":"Data structures","href":"/api/customer-chat/v3.6/rtm/data-structures"},{"title":"Pushes","href":"/api/customer-chat/v3.6/rtm/pushes"}]},{"group":"Methods","icon":"brackets-curly","pages":[{"title":"Chats","href":"/api/customer-chat/v3.6/rtm/chats"},{"title":"Events","href":"/api/customer-chat/v3.6/rtm/events"},{"title":"Properties","href":"/api/customer-chat/v3.6/rtm/properties"},{"title":"Customers","href":"/api/customer-chat/v3.6/rtm/customers"},{"title":"Status","href":"/api/customer-chat/v3.6/rtm/status"},{"title":"Other","href":"/api/customer-chat/v3.6/rtm/other"}]}]},{"version":"v3.5","tag":"legacy","pages":[{"title":"v3.5","href":"/api/customer-chat/v3.5/rtm/index"}]}]},{"dropdown":"Ticketing API","icon":"ticket","groups":[{"group":"Overview","icon":"map","pages":[{"title":"Using the Ticketing API","href":"/api/ticketing"}]},{"group":"Agents","pages":[{"title":"List agents","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/agents","href":"/api/ticketing/agents/list-agents"},{"title":"Create agent","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/agents","href":"/api/ticketing/agents/create-agent"},{"title":"Batch update agents","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json patch /v1/agents","href":"/api/ticketing/agents/batch-update-agents"},{"title":"Get agent","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/agents/{agentID}","href":"/api/ticketing/agents/get-agent"},{"title":"Delete agent","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json delete /v1/agents/{agentID}","href":"/api/ticketing/agents/delete-agent"},{"title":"Update agent","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json patch /v1/agents/{agentID}","href":"/api/ticketing/agents/update-agent"}]},{"group":"Canned responses","pages":[{"title":"List canned responses","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/cannedResponses","href":"/api/ticketing/canned-responses/list-canned-responses"},{"title":"Create canned response","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/cannedResponses","href":"/api/ticketing/canned-responses/create-canned-response"},{"title":"Get canned response","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/cannedResponses/{cannedResponseID}","href":"/api/ticketing/canned-responses/get-canned-response"},{"title":"Delete canned response","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json delete /v1/cannedResponses/{cannedResponseID}","href":"/api/ticketing/canned-responses/delete-canned-response"},{"title":"Update canned response","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json patch /v1/cannedResponses/{cannedResponseID}","href":"/api/ticketing/canned-responses/update-canned-response"}]},{"group":"Custom fields","pages":[{"title":"List custom fields","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/customFields","href":"/api/ticketing/custom-fields/list-custom-fields"},{"title":"Create custom field","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/customFields","href":"/api/ticketing/custom-fields/create-custom-field"},{"title":"Get custom field","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/customFields/{customFieldID}","href":"/api/ticketing/custom-fields/get-custom-field"},{"title":"Delete custom field","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json delete /v1/customFields/{customFieldID}","href":"/api/ticketing/custom-fields/delete-custom-field"},{"title":"Update custom field","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json patch /v1/customFields/{customFieldID}","href":"/api/ticketing/custom-fields/update-custom-field"}]},{"group":"Email domains","pages":[{"title":"Email domains list","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/emailDomains","href":"/api/ticketing/email-domains/email-domains-list"},{"title":"Create email domain","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/emailDomains","href":"/api/ticketing/email-domains/create-email-domain"},{"title":"Get email domain","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/emailDomains/{emailDomainID}","href":"/api/ticketing/email-domains/get-email-domain"},{"title":"Delete email domain","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json delete /v1/emailDomains/{emailDomainID}","href":"/api/ticketing/email-domains/delete-email-domain"},{"title":"Verify email domain","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/emailDomains/{emailDomainID}/verify","href":"/api/ticketing/email-domains/verify-email-domain"},{"title":"Check domain availability","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/emailDomains/available","href":"/api/ticketing/email-domains/check-domain-availability"}]},{"group":"Mailboxes (inboxes)","pages":[{"title":"List mailboxes","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/mailboxes","href":"/api/ticketing/mailboxes-inboxes/list-mailboxes"},{"title":"Create mailbox","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/mailboxes","href":"/api/ticketing/mailboxes-inboxes/create-mailbox"},{"title":"Get mailbox","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/mailboxes/{mailboxID}","href":"/api/ticketing/mailboxes-inboxes/get-mailbox"},{"title":"Delete mailbox","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json delete /v1/mailboxes/{mailboxID}","href":"/api/ticketing/mailboxes-inboxes/delete-mailbox"},{"title":"Update mailbox","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json patch /v1/mailboxes/{mailboxID}","href":"/api/ticketing/mailboxes-inboxes/update-mailbox"}]},{"group":"Licenses","pages":[{"title":"List licenses","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/licenses","href":"/api/ticketing/licenses/list-licenses"},{"title":"Create license","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/licenses","href":"/api/ticketing/licenses/create-license"},{"title":"Get license","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/licenses/{licenseID}","href":"/api/ticketing/licenses/get-license"},{"title":"Update license","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json patch /v1/licenses/{licenseID}","href":"/api/ticketing/licenses/update-license"},{"title":"Send forwarding instructions","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json put /v1/licenses/{licenseID}/forwardingInstructions","href":"/api/ticketing/licenses/send-forwarding-instructions"}]},{"group":"Reply addresses","pages":[{"title":"List reply addresses","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/replyAddresses","href":"/api/ticketing/reply-addresses/list-reply-addresses"},{"title":"Create reply address","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/replyAddresses","href":"/api/ticketing/reply-addresses/create-reply-address"},{"title":"Get reply address","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/replyAddresses/{replyAddressID}","href":"/api/ticketing/reply-addresses/get-reply-address"},{"title":"Delete reply address","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json delete /v1/replyAddresses/{replyAddressID}","href":"/api/ticketing/reply-addresses/delete-reply-address"}]},{"group":"Reports","pages":[{"title":"Create custom report","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/reports","href":"/api/ticketing/reports/create-custom-report"},{"title":"New tickets","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/newTickets","href":"/api/ticketing/reports/new-tickets"},{"title":"Ticket sources","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/ticketSources","href":"/api/ticketing/reports/ticket-sources"},{"title":"Ticket rating","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/rating","href":"/api/ticketing/reports/ticket-rating"},{"title":"Agent rating","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/agentRating","href":"/api/ticketing/reports/agent-rating"},{"title":"Rating per agent","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/ratingPerAgent","href":"/api/ticketing/reports/rating-per-agent"},{"title":"Rating per team","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/ratingPerTeam","href":"/api/ticketing/reports/rating-per-team"},{"title":"Ticket status","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/status","href":"/api/ticketing/reports/ticket-status"},{"title":"Tickets status per agent","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/statusPerAgent","href":"/api/ticketing/reports/tickets-status-per-agent"},{"title":"Tickets status per team","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/statusPerTeam","href":"/api/ticketing/reports/tickets-status-per-team"},{"title":"Response time","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/responseTime","href":"/api/ticketing/reports/response-time"},{"title":"Response time per agent","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/responseTimePerAgent","href":"/api/ticketing/reports/response-time-per-agent"},{"title":"Response time per team","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/responseTimePerTeam","href":"/api/ticketing/reports/response-time-per-team"},{"title":"Resolution time","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/resolutionTime","href":"/api/ticketing/reports/resolution-time"},{"title":"Resolution time per agent","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/resolutionTimePerAgent","href":"/api/ticketing/reports/resolution-time-per-agent"},{"title":"Resolution time per team","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/resolutionTimePerTeam","href":"/api/ticketing/reports/resolution-time-per-team"},{"title":"New tickets (24h distribution)","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/newTickets24","href":"/api/ticketing/reports/new-tickets-24h-distribution"},{"title":"Ticket sources (24h distribution)","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/ticketSources24","href":"/api/ticketing/reports/ticket-sources-24h-distribution"},{"title":"Ticket rating (24h distribution)","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/rating24","href":"/api/ticketing/reports/ticket-rating-24h-distribution"},{"title":"Ticket status (24h distribution)","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/status24","href":"/api/ticketing/reports/ticket-status-24h-distribution"},{"title":"Response time (24h distribution)","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/responseTime24","href":"/api/ticketing/reports/response-time-24h-distribution"},{"title":"Resolution time (24h distribution)","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/resolutionTime24","href":"/api/ticketing/reports/resolution-time-24h-distribution"},{"title":"Failed outgoing emails","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/failedEmails","href":"/api/ticketing/reports/failed-outgoing-emails"},{"title":"Tickets status duration","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/statusDuration","href":"/api/ticketing/reports/tickets-status-duration"},{"title":"Tickets status duration total","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/statusDurationTotal","href":"/api/ticketing/reports/tickets-status-duration-total"},{"title":"Tickets status duration per agent","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/statusDurationPerAgent","href":"/api/ticketing/reports/tickets-status-duration-per-agent"},{"title":"Tickets status duration per team","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/reports/statusDurationPerTeam","href":"/api/ticketing/reports/tickets-status-duration-per-team"}]},{"group":"Rules","pages":[{"title":"List rules","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/rules","href":"/api/ticketing/rules/list-rules"},{"title":"Create rule","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/rules","href":"/api/ticketing/rules/create-rule"},{"title":"Get rule","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/rules/{ruleID}","href":"/api/ticketing/rules/get-rule"},{"title":"Delete rule","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json delete /v1/rules/{ruleID}","href":"/api/ticketing/rules/delete-rule"},{"title":"Update rule","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json patch /v1/rules/{ruleID}","href":"/api/ticketing/rules/update-rule"}]},{"group":"Macros","pages":[{"title":"Macros list","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/macros","href":"/api/ticketing/macros/macros-list"},{"title":"Create macro","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/macros","href":"/api/ticketing/macros/create-macro"},{"title":"Get macro","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/macros/{macroID}","href":"/api/ticketing/macros/get-macro"},{"title":"Delete macro","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json delete /v1/macros/{macroID}","href":"/api/ticketing/macros/delete-macro"},{"title":"Update macro","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json patch /v1/macros/{macroID}","href":"/api/ticketing/macros/update-macro"}]},{"group":"Spam management","pages":[{"title":"List trusted emails","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/trustedEmails","href":"/api/ticketing/spam-management/list-trusted-emails"},{"title":"Trust an email","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/trustedEmails","href":"/api/ticketing/spam-management/trust-an-email"},{"title":"Get trusted email","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/trustedEmails/{trustedEmailID}","href":"/api/ticketing/spam-management/get-trusted-email"},{"title":"Remove trusted email","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json delete /v1/trustedEmails/{trustedEmailID}","href":"/api/ticketing/spam-management/remove-trusted-email"},{"title":"List blocked emails","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/blockedEmails","href":"/api/ticketing/spam-management/list-blocked-emails"},{"title":"Block an email","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/blockedEmails","href":"/api/ticketing/spam-management/block-an-email"},{"title":"Get blocked email","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/blockedEmails/{blockedEmailID}","href":"/api/ticketing/spam-management/get-blocked-email"},{"title":"Remove blocked email","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json delete /v1/blockedEmails/{blockedEmailID}","href":"/api/ticketing/spam-management/remove-blocked-email"}]},{"group":"Tags","pages":[{"title":"List tags","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/tags","href":"/api/ticketing/tags/list-tags"},{"title":"Create tag","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/tags","href":"/api/ticketing/tags/create-tag"},{"title":"Get tag","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/tags/{tagID}","href":"/api/ticketing/tags/get-tag"},{"title":"Delete tag","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json delete /v1/tags/{tagID}","href":"/api/ticketing/tags/delete-tag"},{"title":"Update tag","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json patch /v1/tags/{tagID}","href":"/api/ticketing/tags/update-tag"}]},{"group":"Teams","pages":[{"title":"List teams","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/teams","href":"/api/ticketing/teams/list-teams"},{"title":"Create team","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/teams","href":"/api/ticketing/teams/create-team"},{"title":"Update teams","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json patch /v1/teams","href":"/api/ticketing/teams/update-teams"},{"title":"Get team","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/teams/{teamID}","href":"/api/ticketing/teams/get-team"},{"title":"Delete team","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json delete /v1/teams/{teamID}","href":"/api/ticketing/teams/delete-team"},{"title":"Update team","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json patch /v1/teams/{teamID}","href":"/api/ticketing/teams/update-team"}]},{"group":"Templates","pages":[{"title":"List templates","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/templates","href":"/api/ticketing/templates/list-templates"},{"title":"Create template","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/templates","href":"/api/ticketing/templates/create-template"},{"title":"Get template","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/templates/{templateID}","href":"/api/ticketing/templates/get-template"},{"title":"Delete template","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json delete /v1/templates/{templateID}","href":"/api/ticketing/templates/delete-template"},{"title":"Update template","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json patch /v1/templates/{templateID}","href":"/api/ticketing/templates/update-template"},{"title":"Send test message","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/templates/sendTestMessage","href":"/api/ticketing/templates/send-test-message"},{"title":"Generate template preview","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/templates/preview","href":"/api/ticketing/templates/generate-template-preview"}]},{"group":"Audit log","pages":[{"title":"Returns audit log events","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/auditLog","href":"/api/ticketing/audit-log/returns-audit-log-events"}]},{"group":"Tickets","pages":[{"title":"List tickets","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/tickets","href":"/api/ticketing/tickets/list-tickets"},{"title":"Create ticket","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/tickets","href":"/api/ticketing/tickets/create-ticket"},{"title":"Get ticket","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/tickets/{ticketID}","href":"/api/ticketing/tickets/get-ticket"},{"title":"Delete ticket","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json delete /v1/tickets/{ticketID}","href":"/api/ticketing/tickets/delete-ticket"},{"title":"Update ticket","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json patch /v1/tickets/{ticketID}","href":"/api/ticketing/tickets/update-ticket"},{"title":"Add tag","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/tickets/{ticketID}/tags","href":"/api/ticketing/tickets/add-tag"},{"title":"Remove tag","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json delete /v1/tickets/{ticketID}/tags/{tagID}","href":"/api/ticketing/tickets/remove-tag"},{"title":"Add followers","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/tickets/{ticketID}/followers","href":"/api/ticketing/tickets/add-followers"},{"title":"Remove follower","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json delete /v1/tickets/{ticketID}/followers/{followerID}","href":"/api/ticketing/tickets/remove-follower"},{"title":"Merge ticket","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/tickets/{ticketID}/childTickets","href":"/api/ticketing/tickets/merge-ticket"},{"title":"Unmerge ticket","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json delete /v1/tickets/{ticketID}/childTickets/{childTicketID}","href":"/api/ticketing/tickets/unmerge-ticket"},{"title":"Send rating request","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/tickets/{ticketID}/ratingRequests","href":"/api/ticketing/tickets/send-rating-request"},{"title":"Get original message content","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/tickets/{ticketID}/events/{eventID}/originalContent","href":"/api/ticketing/tickets/get-original-message-content"},{"title":"Move ticket to silo","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json put /v1/tickets/{ticketID}/silo","href":"/api/ticketing/tickets/move-ticket-to-silo"},{"title":"Delete tickets attachment","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json delete /v1/tickets/{ticketID}/events/{eventID}/attachments/{attachmentID}","href":"/api/ticketing/tickets/delete-tickets-attachment"}]},{"group":"Transactions","pages":[{"title":"Create transaction","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/transactions","href":"/api/ticketing/transactions/create-transaction"},{"title":"Get transaction","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/transactions/{transactionID}","href":"/api/ticketing/transactions/get-transaction"},{"title":"Upload attachment","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/transactions/{transactionID}/attachments","href":"/api/ticketing/transactions/upload-attachment"},{"title":"Delete attachment","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json delete /v1/transactions/{transactionID}/attachments/{attachmentID}","href":"/api/ticketing/transactions/delete-attachment"}]},{"group":"Views","pages":[{"title":"Views list","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/views","href":"/api/ticketing/views/views-list"},{"title":"Create view","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/views","href":"/api/ticketing/views/create-view"},{"title":"Get view","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/views/{viewID}","href":"/api/ticketing/views/get-view"},{"title":"Delete view","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json delete /v1/views/{viewID}","href":"/api/ticketing/views/delete-view"},{"title":"Update view","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json patch /v1/views/{viewID}","href":"/api/ticketing/views/update-view"}]},{"group":"Webhooks","pages":[{"title":"Webhooks list","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/webhooks","href":"/api/ticketing/webhooks/webhooks-list"},{"title":"Create webhook","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/webhooks","href":"/api/ticketing/webhooks/create-webhook"},{"title":"Get webhook","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json get /v1/webhooks/{webhookID}","href":"/api/ticketing/webhooks/get-webhook"},{"title":"Delete webhook","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json delete /v1/webhooks/{webhookID}","href":"/api/ticketing/webhooks/delete-webhook"},{"title":"Update webhook","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json patch /v1/webhooks/{webhookID}","href":"/api/ticketing/webhooks/update-webhook"}]},{"group":"Imported tickets","pages":[{"title":"Create imported ticket","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/importedTickets","href":"/api/ticketing/imported-tickets/create-imported-ticket"},{"title":"Create imported ticket transaction","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/importedTickets/transactions","href":"/api/ticketing/imported-tickets/create-imported-ticket-transaction"},{"title":"Upload attachments for imported ticket","deprecated":null,"version":null,"openapi":"/api/ticketing/openapi.json post /v1/importedTickets/attachments","href":"/api/ticketing/imported-tickets/upload-attachments-for-imported-ticket"}]}]},{"dropdown":"Configuration API","icon":"gear","versions":[{"version":"v3.7","tag":"dev preview","pages":[{"title":"v3.7","href":"/api/configuration/v3.7/canned-responses/update-canned-response"}]},{"version":"v3.6","default":true,"tag":"stable","groups":[{"group":"Overview","icon":"map","pages":[{"title":"Using the Configuration API","href":"/api/configuration/v3.6"}]},{"group":"Agents","pages":[{"title":"Create agent","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/create_agent","href":"/api/configuration/v3.6/agents/create-agent"},{"title":"Get agent","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/get_agent","href":"/api/configuration/v3.6/agents/get-agent"},{"title":"List agents","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/list_agents","href":"/api/configuration/v3.6/agents/list-agents"},{"title":"Update agent","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/update_agent","href":"/api/configuration/v3.6/agents/update-agent"},{"title":"Delete agent","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/delete_agent","href":"/api/configuration/v3.6/agents/delete-agent"},{"title":"Suspend agent","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/suspend_agent","href":"/api/configuration/v3.6/agents/suspend-agent"},{"title":"Unsuspend agent","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/unsuspend_agent","href":"/api/configuration/v3.6/agents/unsuspend-agent"},{"title":"Request agent unsuspension","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/request_agent_unsuspension","href":"/api/configuration/v3.6/agents/request-agent-unsuspension"},{"title":"Approve agent","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/approve_agent","href":"/api/configuration/v3.6/agents/approve-agent"}]},{"group":"Auto access","pages":[{"title":"Add auto access","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/add_auto_access","href":"/api/configuration/v3.6/auto-access/add-auto-access"},{"title":"List auto accesses","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/list_auto_accesses","href":"/api/configuration/v3.6/auto-access/list-auto-accesses"},{"title":"Delete auto access","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/delete_auto_access","href":"/api/configuration/v3.6/auto-access/delete-auto-access"},{"title":"Update auto access","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/update_auto_access","href":"/api/configuration/v3.6/auto-access/update-auto-access"}]},{"group":"Bots","pages":[{"title":"Create bot template","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/create_bot_template","href":"/api/configuration/v3.6/bots/create-bot-template"},{"title":"Create bot","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/create_bot","href":"/api/configuration/v3.6/bots/create-bot"},{"title":"Delete bot template","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/delete_bot_template","href":"/api/configuration/v3.6/bots/delete-bot-template"},{"title":"Delete bot","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/delete_bot","href":"/api/configuration/v3.6/bots/delete-bot"},{"title":"Update bot template","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/update_bot_template","href":"/api/configuration/v3.6/bots/update-bot-template"},{"title":"Update bot","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/update_bot","href":"/api/configuration/v3.6/bots/update-bot"},{"title":"List bot templates","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/list_bot_templates","href":"/api/configuration/v3.6/bots/list-bot-templates"},{"title":"List bots","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/list_bots","href":"/api/configuration/v3.6/bots/list-bots"},{"title":"Get bot","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/get_bot","href":"/api/configuration/v3.6/bots/get-bot"},{"title":"Issue bot token","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/issue_bot_token","href":"/api/configuration/v3.6/bots/issue-bot-token"},{"title":"Reset bot template secret","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/reset_bot_template_secret","href":"/api/configuration/v3.6/bots/reset-bot-template-secret"},{"title":"Reset bot secret","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/reset_bot_secret","href":"/api/configuration/v3.6/bots/reset-bot-secret"}]},{"group":"Customer bans","pages":[{"title":"List customer bans","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/list_customer_bans","href":"/api/configuration/v3.6/customer-bans/list-customer-bans"},{"title":"Unban customer","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/unban_customer","href":"/api/configuration/v3.6/customer-bans/unban-customer"}]},{"group":"Greetings","pages":[{"title":"Create greeting","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/create_greeting","href":"/api/configuration/v3.6/greetings/create-greeting"},{"title":"Update greeting","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/update_greeting","href":"/api/configuration/v3.6/greetings/update-greeting"},{"title":"Delete greeting","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/delete_greeting","href":"/api/configuration/v3.6/greetings/delete-greeting"},{"title":"List greetings","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/list_greetings","href":"/api/configuration/v3.6/greetings/list-greetings"},{"title":"Get greeting","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/get_greeting","href":"/api/configuration/v3.6/greetings/get-greeting"}]},{"group":"Groups","pages":[{"title":"Create group","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/create_group","href":"/api/configuration/v3.6/groups/create-group"},{"title":"Update group","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/update_group","href":"/api/configuration/v3.6/groups/update-group"},{"title":"Delete group","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/delete_group","href":"/api/configuration/v3.6/groups/delete-group"},{"title":"List groups","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/list_groups","href":"/api/configuration/v3.6/groups/list-groups"},{"title":"Get group","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/get_group","href":"/api/configuration/v3.6/groups/get-group"}]},{"group":"Properties","pages":[{"title":"Register property","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/register_property","href":"/api/configuration/v3.6/properties/register-property"},{"title":"Unregister property","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/unregister_property","href":"/api/configuration/v3.6/properties/unregister-property"},{"title":"Publish property","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/publish_property","href":"/api/configuration/v3.6/properties/publish-property"},{"title":"List properties","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/list_properties","href":"/api/configuration/v3.6/properties/list-properties"},{"title":"Update license properties","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/update_license_properties","href":"/api/configuration/v3.6/properties/update-license-properties"},{"title":"List license properties","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/list_license_properties","href":"/api/configuration/v3.6/properties/list-license-properties"},{"title":"Delete license properties","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/delete_license_properties","href":"/api/configuration/v3.6/properties/delete-license-properties"},{"title":"Update group properties","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/update_group_properties","href":"/api/configuration/v3.6/properties/update-group-properties"},{"title":"List groups properties","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/list_groups_properties","href":"/api/configuration/v3.6/properties/list-groups-properties"},{"title":"Delete group properties","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/delete_group_properties","href":"/api/configuration/v3.6/properties/delete-group-properties"}]},{"group":"Tags","pages":[{"title":"Create tag","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/create_tag","href":"/api/configuration/v3.6/tags/create-tag"},{"title":"Delete tag","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/delete_tag","href":"/api/configuration/v3.6/tags/delete-tag"},{"title":"List tags","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/list_tags","href":"/api/configuration/v3.6/tags/list-tags"},{"title":"Update tag","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/update_tag","href":"/api/configuration/v3.6/tags/update-tag"}]},{"group":"Webhooks","pages":[{"title":"Register webhook","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/register_webhook","href":"/api/configuration/v3.6/webhooks/register-webhook"},{"title":"List webhooks","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/list_webhooks","href":"/api/configuration/v3.6/webhooks/list-webhooks"},{"title":"Unregister webhook","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/unregister_webhook","href":"/api/configuration/v3.6/webhooks/unregister-webhook"},{"title":"List webhook names","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/list_webhook_names","href":"/api/configuration/v3.6/webhooks/list-webhook-names"},{"title":"Enable license webhooks","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/enable_license_webhooks","href":"/api/configuration/v3.6/webhooks/enable-license-webhooks"},{"title":"Disable license webhooks","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/disable_license_webhooks","href":"/api/configuration/v3.6/webhooks/disable-license-webhooks"},{"title":"Get license webhooks state","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/get_license_webhooks_state","href":"/api/configuration/v3.6/webhooks/get-license-webhooks-state"}]},{"group":"Canned responses","pages":[{"title":"Create canned response","description":"Creates a canned response.\n\nThe `text` field is sanitized on creation. If sanitization removes all content and the input becomes empty, the system rejects the request as invalid.","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/create_canned_response","href":"/api/configuration/v3.6/canned-responses/create-canned-response"},{"title":"Update canned response","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/update_canned_response","href":"/api/configuration/v3.6/canned-responses/update-canned-response"},{"title":"List canned responses","description":"Returns a paginated list of canned responses.","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/list_canned_responses","href":"/api/configuration/v3.6/canned-responses/list-canned-responses"},{"title":"Delete canned response","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/delete_canned_response","href":"/api/configuration/v3.6/canned-responses/delete-canned-response"}]},{"group":"Other","pages":[{"title":"List channels","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/list_channels","href":"/api/configuration/v3.6/other/list-channels"},{"title":"Check product limits for plan","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/check_product_limits_for_plan","href":"/api/configuration/v3.6/other/check-product-limits-for-plan"},{"title":"Get product source","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/get_product_source","href":"/api/configuration/v3.6/other/get-product-source"},{"title":"Reactivate email","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/reactivate_email","href":"/api/configuration/v3.6/other/reactivate-email"},{"title":"Update company details","deprecated":null,"version":null,"openapi":"/api/configuration/v3.6/openapi.json post /action/update_company_details","href":"/api/configuration/v3.6/other/update-company-details"}]}]},{"version":"v3.5","tag":"legacy","pages":[{"title":"v3.5","href":"/api/configuration/v3.5"}]}]},{"dropdown":"Customer Data Platform API","icon":"database","groups":[{"group":"Overview","icon":"map","pages":[{"title":"Using the Customer Data Platform API","href":"/api/customer-data-platform"}]},{"group":"Customers","pages":[{"title":"Get customer","deprecated":null,"version":null,"openapi":"/api/customer-data-platform/openapi.json post /get_customer","href":"/api/customer-data-platform/customers/get-customer"},{"title":"Get merged customer","deprecated":null,"version":null,"openapi":"/api/customer-data-platform/openapi.json post /get_merged_customer","href":"/api/customer-data-platform/customers/get-merged-customer"},{"title":"Get merged customer chat IDs","deprecated":null,"version":null,"openapi":"/api/customer-data-platform/openapi.json post /get_merged_customer_chats","href":"/api/customer-data-platform/customers/get-merged-customer-chat-ids"},{"title":"Get merged customer ticket IDs","deprecated":null,"version":null,"openapi":"/api/customer-data-platform/openapi.json post /get_merged_customer_tickets","href":"/api/customer-data-platform/customers/get-merged-customer-ticket-ids"},{"title":"List customers","deprecated":null,"version":null,"openapi":"/api/customer-data-platform/openapi.json post /v1/list_customers","href":"/api/customer-data-platform/customers/list-customers"},{"title":"Get customers count","deprecated":null,"version":null,"openapi":"/api/customer-data-platform/openapi.json post /v1/get_customers_count","href":"/api/customer-data-platform/customers/get-customers-count"},{"title":"Has sales events","deprecated":null,"version":null,"openapi":"/api/customer-data-platform/openapi.json post /v1/has_sales_events","href":"/api/customer-data-platform/customers/has-sales-events"},{"title":"Update customer","deprecated":null,"version":null,"openapi":"/api/customer-data-platform/openapi.json post /v1/update_customer","href":"/api/customer-data-platform/customers/update-customer"},{"title":"Create customers","deprecated":null,"version":null,"openapi":"/api/customer-data-platform/openapi.json post /v1/create_customers","href":"/api/customer-data-platform/customers/create-customers"}]},{"group":"Customer properties","pages":[{"title":"Create customer property definition","deprecated":null,"version":null,"openapi":"/api/customer-data-platform/openapi.json post /v1/create_customer_property_definition","href":"/api/customer-data-platform/customer-properties/create-customer-property-definition"},{"title":"Update customer property definition","deprecated":null,"version":null,"openapi":"/api/customer-data-platform/openapi.json post /v1/update_customer_property_definition","href":"/api/customer-data-platform/customer-properties/update-customer-property-definition"},{"title":"Delete customer property definition","deprecated":null,"version":null,"openapi":"/api/customer-data-platform/openapi.json post /v1/delete_customer_property_definition","href":"/api/customer-data-platform/customer-properties/delete-customer-property-definition"},{"title":"List customer property definitions","deprecated":null,"version":null,"openapi":"/api/customer-data-platform/openapi.json post /v1/get_customer_properties_definitions","href":"/api/customer-data-platform/customer-properties/list-customer-property-definitions"},{"title":"Set customer properties values","deprecated":null,"version":null,"openapi":"/api/customer-data-platform/openapi.json post /v1/set_customer_properties_values","href":"/api/customer-data-platform/customer-properties/set-customer-properties-values"}]},{"group":"Segments","pages":[{"title":"Get segment definitions","deprecated":null,"version":null,"openapi":"/api/customer-data-platform/openapi.json post /v1/get_segment_definitions","href":"/api/customer-data-platform/segments/get-segment-definitions"},{"title":"Create segment definition","deprecated":null,"version":null,"openapi":"/api/customer-data-platform/openapi.json post /v1/create_segment_definition","href":"/api/customer-data-platform/segments/create-segment-definition"},{"title":"Update segment definition","deprecated":null,"version":null,"openapi":"/api/customer-data-platform/openapi.json post /v1/update_segment_definition","href":"/api/customer-data-platform/segments/update-segment-definition"},{"title":"Delete segment definition","deprecated":null,"version":null,"openapi":"/api/customer-data-platform/openapi.json post /v1/delete_segment_definition","href":"/api/customer-data-platform/segments/delete-segment-definition"}]}]},{"dropdown":"Product Directory API","icon":"boxes-stacked","groups":[{"group":"Overview","icon":"map","pages":[{"title":"Using the Product Directory API","href":"/api/product-directory"}]},{"group":"Catalog","pages":[{"title":"Upload a product catalog","deprecated":null,"version":null,"openapi":"/api/product-directory/openapi.json post /v1/catalogs/imports","href":"/api/product-directory/catalog/upload-a-product-catalog"},{"title":"Check import status","deprecated":null,"version":null,"openapi":"/api/product-directory/openapi.json get /v1/catalogs/imports/{job_id}","href":"/api/product-directory/catalog/check-import-status"},{"title":"List catalogs","deprecated":null,"version":null,"openapi":"/api/product-directory/openapi.json get /v1/catalogs","href":"/api/product-directory/catalog/list-catalogs"},{"title":"Get catalog details","deprecated":null,"version":null,"openapi":"/api/product-directory/openapi.json get /v1/catalogs/{catalog_id}","href":"/api/product-directory/catalog/get-catalog-details"}]},{"group":"Products","pages":[{"title":"Delete a product","deprecated":null,"version":null,"openapi":"/api/product-directory/openapi.json delete /v1/catalogs/{catalog_id}/products/{product_id}","href":"/api/product-directory/products/delete-a-product"}]}]},{"dropdown":"Global Accounts API","icon":"users","groups":[{"group":"Overview","icon":"map","pages":[{"title":"Using the Global Accounts API","href":"/api/global-accounts"}]},{"group":"Accounts","pages":[{"title":"List accounts","deprecated":null,"version":null,"openapi":"/api/global-accounts/openapi.json get /accounts","href":"/api/global-accounts/accounts/list-accounts"},{"title":"Create a new account","deprecated":null,"version":null,"openapi":"/api/global-accounts/openapi.json post /accounts","href":"/api/global-accounts/accounts/create-a-new-account"},{"title":"Get an account","deprecated":null,"version":null,"openapi":"/api/global-accounts/openapi.json get /accounts/{account_id}","href":"/api/global-accounts/accounts/get-an-account"},{"title":"Delete an account","deprecated":null,"version":null,"openapi":"/api/global-accounts/openapi.json delete /accounts/{account_id}","href":"/api/global-accounts/accounts/delete-an-account"},{"title":"Update an account","deprecated":null,"version":null,"openapi":"/api/global-accounts/openapi.json patch /accounts/{account_id}","href":"/api/global-accounts/accounts/update-an-account"},{"title":"Set account roles","deprecated":null,"version":null,"openapi":"/api/global-accounts/openapi.json put /accounts/{account_id}/roles","href":"/api/global-accounts/accounts/set-account-roles"},{"title":"Set a password","deprecated":null,"version":null,"openapi":"/api/global-accounts/openapi.json post /accounts/{account_id}/password/reset","href":"/api/global-accounts/accounts/set-a-password"},{"title":"Get an account invitations","deprecated":null,"version":null,"openapi":"/api/global-accounts/openapi.json get /accounts/invitations","href":"/api/global-accounts/accounts/get-an-account-invitations"},{"title":"Create an account invitation","deprecated":null,"version":null,"openapi":"/api/global-accounts/openapi.json post /accounts/invitations","href":"/api/global-accounts/accounts/create-an-account-invitation"},{"title":"Approve an account invitation","deprecated":null,"version":null,"openapi":"/api/global-accounts/openapi.json put /accounts/invitations/{invitation_id}","href":"/api/global-accounts/accounts/approve-an-account-invitation"},{"title":"Decline an account invitation","deprecated":null,"version":null,"openapi":"/api/global-accounts/openapi.json delete /accounts/invitations/{invitation_id}","href":"/api/global-accounts/accounts/decline-an-account-invitation"}]},{"group":"Roles","pages":[{"title":"List roles","deprecated":null,"version":null,"openapi":"/api/global-accounts/openapi.json get /roles","href":"/api/global-accounts/roles/list-roles"},{"title":"Get a role","deprecated":null,"version":null,"openapi":"/api/global-accounts/openapi.json get /roles/{role_id}","href":"/api/global-accounts/roles/get-a-role"},{"title":"Delete a role","deprecated":null,"version":null,"openapi":"/api/global-accounts/openapi.json delete /roles/{role_id}","href":"/api/global-accounts/roles/delete-a-role"}]},{"group":"Sessions","pages":[{"title":"List sessions","deprecated":null,"version":null,"openapi":"/api/global-accounts/openapi.json get /sessions","href":"/api/global-accounts/sessions/list-sessions"},{"title":"Remove all sessions","deprecated":null,"version":null,"openapi":"/api/global-accounts/openapi.json delete /sessions","href":"/api/global-accounts/sessions/remove-all-sessions"},{"title":"Remove a session","deprecated":null,"version":null,"openapi":"/api/global-accounts/openapi.json delete /sessions/{session_id}","href":"/api/global-accounts/sessions/remove-a-session"}]},{"group":"Organizations","pages":[{"title":"List organizations","deprecated":nu
[...]
